## bnd 0.0.384

=== debian/changelog ===
bnd (0.0.384-2) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Aug 2011 19:28:43 +0200

bnd (0.0.384-1) unstable; urgency=low

  * New upstream release
  * Exclude the Filter class from the distribution as it has
    some copyright issues and it is not used anymore in this
    new version of BND
  * Update copyright according to upstream changes, all
    contentious issues have been cleared.
  * Bump up Standards-Version to 3.8.3, no change

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 02 Sep 2009 12:14:20 +0100

bnd (0.0.337.2-3) unstable; urgency=low

  * Force name of bnd library installed in /usr/share/java
    to be bnd.jar instead of bndlib.jar 

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 14 Aug 2009 14:38:12 +0100

bnd (0.0.337.2-2) unstable; urgency=low

  [Ludovic Claude]
  * Add man page for bnd script

  [Damien Raude-Morvan]
  * Add myself as Uploaders
  * Install a "bnd" shell script to execute BND command line interface
    - Add debian/bnd.sh script
    - Add Depends on java-wrapper, used as helper for launch script
  * Add debian/watch
  * Remove duplicate Section declaration on first binary package

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 07 Aug 2009 14:12:23 +0100

bnd (0.0.337.2-1) experimental; urgency=low

  * Create a pseudo new upstream version to reflect the changes in the
    source tarball.
 
 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 04 Aug 2009 20:30:17 +0100

bnd (0.0.337.1-2) experimental; urgency=low

  * Fix copyright issues
  * Don't include the test jars in the source tarball

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 02 Aug 2009 22:48:47 +0100

bnd (0.0.337.1-1) experimental; urgency=low

  * Initial release. (Closes: #539558)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 19 Jul 2009 19:48:06 +0100
