=== debian/control ===
Source: bnd
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Ludovic Claude <ludovic.claude@laposte.net>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant-optional, maven-ant-helper
Build-Depends-Indep: maven-repo-helper, junit
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/bnd
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/bnd
Homepage: http://www.aqute.biz/Code/Bnd

Package: bnd
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java5-runtime-headless | openjdk-6-jdk, java-wrappers
Description: A tool to create and diagnose OSGi R4 bundles
 The bnd tool helps you create and diagnose OSGi R4 bundles.
 The key functions are:
 .
   * Show the manifest and JAR contents of a bundle
   * Wrap a JAR so that it becomes a bundle
   * Create a Bundle from a specification and a class path
   * Verify the validity of the manifest entries 
 .
 The tool is capable of acting as:
 .
   * Command line tool
   * Eclipse Plugin
   * Maven Plugin
   * Ant Plugin
