=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-nodeps ant junit
DEB_ANT_BUILD_TARGET := package #javadoc
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dbin.package=$(PACKAGE) -Dversion=$(VERSION)

install/$(PACKAGE)::
	pod2man -c 'BND for Debian GNU/Linux' \
	  -r $(PACKAGE)-$(VERSION) \
	  debian/bnd.pod > debian/bnd.1

binary-post-install/$(PACKAGE)::
	mh_installpoms -p$(PACKAGE)
	mh_installjar -p$(PACKAGE) -l --usj-name=bnd src/main/resources/pom.xml target/bnd.jar
	dh_install -p$(PACKAGE) debian/bnd.sh /usr/bin/
	mv $(DEB_DESTDIR)/usr/bin/bnd.sh $(DEB_DESTDIR)/usr/bin/bnd

clean::
	-rm -rf debian/tmp
	-rm -f debian/bnd.1

get-orig-source:
	#-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
	debian/orig-tar.sh "" $(VERSION)
