## bnd 1.50.0

=== debian/changelog ===
bnd (1.50.0-5) unstable; urgency=low

  * d/rules: Fix FTBFS after update to eclipse 3.8.0~rc4-1 (Closes: #682647).
  * d/copyright: Update to copyright format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 25 Jul 2012 00:34:41 +0200

bnd (1.50.0-4) unstable; urgency=low

  * Fix FTBFS after update to eclipse 3.7.2-1 (Closes: #669533).
  * Add Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.3: no changes needed.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 30 Apr 2012 22:44:59 +0200

bnd (1.50.0-3) unstable; urgency=low

  * d/rules: Fix broken link with Eclipse JDT during build. (Closes: #655548).
  * d/patches/display_bsn_on_missing_bundle.diff: Improve error message when
    some bundle is missing.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 17 Jan 2012 23:16:19 +0100

bnd (1.50.0-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.

  [ James Page ]
  * Fix FTBFS with OpenJDK 7 (LP: #888926) (Closes: #651389):
    - d/ant.properties: Set default source/target to 1.5 to ensure
      backwards compatibility and avoid Java 7 encoding errors.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 08 Dec 2011 21:41:18 -0430

bnd (1.50.0-1) unstable; urgency=low

  * New upstream release.
  * d/control: Add Build-Depends on libbindex-java.
  * d/{bootstrap,rules}: Add bindex.jar to classpath.
  * d/patches/no_git_during_build.diff: Don't try to use GIT during build.
  * d/patches/osgi43_fixes.diff: Some fixes for libosgi-core-java >= 4.3.
  * d/patches/no_felix.diff: Drop dependency on felix-framework (to remove
    dependency cycle).

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 09 Nov 2011 22:39:08 +0100

bnd (1.44.0-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * d/copyright: Upgrade to latest DEP-5 version.
  * Use upstream build system:
    - d/orig-tar.sh: Rework to use github (Closes: #640839).
    - d/build.xml, d/build.properties: Drop.
    - d/bootstrap.xml: Build a small bnd.jar just for its own bootstrap.
    - Rename d/svn-transform.sh to d/git-transform.sh and remove unneeded bits.
  * Enable full OSGi and Eclipse modules (Closes: #565749) :
    - d/control: Add Build-Depends on libswt-gtk-3-java, eclipse-rcp,
      eclipse-jdt and libosgi-core-java
    - d/control: Only Suggests: eclipse-rcp, eclipse-jdt

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 26 Oct 2011 00:59:39 +0200
