=== debian/control ===
Source: bnd
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Ludovic Claude <ludovic.claude@laposte.net>,
           Damien Raude-Morvan <drazzib@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: ant,
               ant-optional,
               cdbs,
               debhelper (>= 7),
               default-jdk,
               eclipse-jdt,
               eclipse-rcp,
               javahelper,
               junit,
               libbindex-java (>= 2.2+svn101),
               libosgi-compendium-java (>= 4.3.0),
               libosgi-core-java (>= 4.3.0),
               libswt-gtk-3-java,
               maven-ant-helper,
               maven-repo-helper
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/bnd
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/bnd
Homepage: http://www.aQute.biz/Bnd

Package: bnd
Architecture: all
Depends: default-jre-headless | java5-runtime-headless | openjdk-6-jdk,
         java-wrappers,
         libosgi-compendium-java (>= 4.3.0),
         libosgi-core-java (>= 4.3.0),
         ${misc:Depends}
Recommends: libbindex-java (>= 2.2+svn101)
Suggests: eclipse-jdt, eclipse-rcp
Description: tool to create and diagnose OSGi R4 bundles
 The bnd tool helps you create and diagnose OSGi R4 bundles.
 The key functions are:
 .
   * Show the manifest and JAR contents of a bundle
   * Wrap a JAR so that it becomes a bundle
   * Create a Bundle from a specification and a class path
   * Verify the validity of the manifest entries
 .
 The tool is capable of acting as:
 .
   * Command line tool
   * Eclipse Plugin
   * Maven Plugin
   * Ant Plugin
