=== debian/watch ===
version=3
http://www.aqute.biz/repo/biz/aQute/bnd/([0-9\.]+)/bnd-([0-9\.]+).jar debian debian/orig-tar.sh
