## bnd 2.1.0

=== debian/changelog ===
bnd (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Vcs-Browser: Use https.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Mon, 16 Nov 2015 17:00:56 +0100

bnd (2.1.0-1) experimental; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Moved the package to Git.
  * Imported Upstream version 2.1.0.
  * Refresh patches for 2.1.0-1 upload.

  [ Markus Koschany ]
  * Update debian/copyright for version 2.1.0.
  * Drop ant-1.9-compatibility.diff. This patch is obsolete with version 2.1.
  * Drop already disabled patches.
    - find_swt_jar.diff
    - java8-compatibility.diff
    - osgi43_fixes.diff
  * Use patch extension instead of diff for patches.
  * Drop fix-encoding.patch and use upstream values instead.
  * Drop build_excludes.patch and use upstream values again.
  * Drop no_felix.patch because bnd builds fine without it.
  * Drop no_git_during_build.patch because bnd builds fine without it.
  * Delete debian/ant.properties file because it was not used.
  * New patches. See patch headers for further comments:
    - no-ee.j2se.patch
    - no-osgi.r5.patch
    - findbugs.patch
    - embedded-repo.patch
    - FTBFS.patch
    - implement-missing-methods.patch
    - build-without-biz.aQute.repository-and-resolve.patch
  * debian/control:
    - Add findbugs to Build-Depends.
    - Add junit4 to Build-Depends.
    - Add ant-contrib to Build-Depends.
    - Tighten build-dependencies of osgi components.
  * debian/rules:
    - Fix com.springsource.org.junit symlink.
    - Symlink ant-contrib.jar to the right place.
    - Remove biz.aQute.repository in clean target.
    - Remove biz.aQute.resolve in clean target.
    - Fix all obsolete tmp paths. Files are now in generated.
  * wrap-and-sort -sa.
  * Update bnd.pod for new release. Mention new or different commands.
    Remove Authors paragraph since all copyright holders are already credited
    in debian/copyright.
  * debian/rules: Update clean target. Ensure that bnd can be built twice in a
    row and remove all class and jar files in subsequent runs.

 -- Markus Koschany <apo@gambaru.de>  Wed, 03 Jun 2015 20:11:07 +0200

bnd (1.50.0-9) unstable; urgency=medium

  * Team upload.
  * Add OSGi-6-methods.patch.
    - Fix FTBFS due to OSGi 5/6 transition.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Git.
  * Tighten build-dependency and dependency on osgi-core and osgi-compendium.

 -- Markus Koschany <apo@gambaru.de>  Fri, 05 Jun 2015 23:55:15 +0200

bnd (1.50.0-8) unstable; urgency=medium

  * Added a patch to fix the compilation errors with Java 8
  * debian/control:
    - Removed the dependency on openjdk-6-jdk
    - Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 29 Apr 2014 14:05:29 +0200

bnd (1.50.0-7) unstable; urgency=low

  * Install the Maven artifacts biz.aQute:annotation and biz.aQute:bnd

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Oct 2013 22:15:13 +0200

bnd (1.50.0-6) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Added a patch to compile with Ant 1.9 (Closes: #712343)
  * Fixed the unmappable character errors during the compilation
  * debian/watch: Updated to catch the recent releases on Github
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * debian/rules: Improved the clean target
  * Updated the Maven pom

  [ Damien Raude-Morvan ]
  * d/rules: Don't fail clean target if there is no things to delete.
  * Upload to unstable.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 26 Jul 2013 11:28:27 +0200
