=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/ant.mk
 
-MAVEN_REPO           := http://repo1.maven.org/maven2/biz/aQute/bndlib/
-MAVEN_VERSION        := 1.43.0
+MAVEN_REPO           := http://repo1.maven.org/maven2/biz/aQute/
+MAVEN_VERSION        := 2.1.0
 
 PACKAGE              := $(DEB_SOURCE_PACKAGE)
 VERSION              := $(DEB_UPSTREAM_VERSION)
@@ -52,12 +52,14 @@
 		cnf/repo/org.osgi.impl.bundle.bindex
 	ln -s $(CURDIR)/bootstrap/bnd.jar cnf/repo/biz.aQute.bnd/biz.aQute.bnd-latest.jar
 	ln -s /usr/share/java/junit.jar cnf/repo/com.springsource.junit/com.springsource.junit-3.8.2.jar
+	ln -s /usr/share/java/junit4.jar cnf/repo/com.springsource.org.junit/com.springsource.org.junit-4.10.0.jar
 	ln -s /usr/share/java/junit.jar cnf/repo/junit.osgi/junit.osgi-3.8.2.jar
 	ln -s /usr/share/java/osgi.core.jar cnf/repo/org.eclipse.osgi/org.eclipse.osgi-3.5.0.jar
 	ln -s /usr/share/java/osgi.core.jar cnf/repo/osgi.core/osgi.core-4.2.1.jar
 	ln -s /usr/share/java/osgi.compendium.jar cnf/repo/osgi.cmpn/osgi.cmpn-4.3.0.jar
 #	ln -s /usr/share/java/ee.foundation.jar cnf/repo/ee.minimum/ee.minimum-1.2.1.jar
 	ln -s /usr/share/java/ant.jar cnf/repo/org.apache.tools.ant/org.apache.tools.ant-1.7.1.jar
+	ln -s /usr/share/java/ant-contrib.jar cnf/ant-contrib/ant-contrib-1.0b3.jar
 	ln -s /usr/lib/eclipse/plugins/org.eclipse.core.runtime_*.jar cnf/repo/org.eclipse.core.runtime/org.eclipse.core.runtime-3.3.100.jar
 	ln -s /usr/lib/eclipse/plugins/org.eclipse.core.resources_*.jar cnf/repo/org.eclipse.core.resources/org.eclipse.core.resources-3.3.1.jar
 	ln -s /usr/lib/eclipse/plugins/org.eclipse.core.commands_*.jar cnf/repo/org.eclipse.core.commands/org.eclipse.core.commands-3.3.3.jar
@@ -87,6 +89,8 @@
 clean-bootstrap:
 	$(DEB_ANT_INVOKE) clean
 	rm -rf cnf/repo/biz.aQute.bnd/
+	rm -rf biz.aQute.repository
+	rm -rf biz.aQute.resolve
 	rm -f debian/stamp-bootstrap
 
 ### Standard build
@@ -97,30 +101,40 @@
 
 binary-post-install/$(PACKAGE)::
 	mkdir install/
-	cp biz.aQute.bnd/tmp/biz.aQute.bnd.jar install/bnd.jar
-	cp biz.aQute.bndlib/tmp/biz.aQute.bndlib.jar install/bndlib.jar
-	cp biz.aQute.bnd/tmp/biz.aQute.bnd.annotation.jar install/bnd.annotation.jar
-	cp biz.aQute.launcher/tmp/biz.aQute.launcher.jar install/bnd.launcher.jar
-	cp biz.aQute.junit/tmp/biz.aQute.junit.jar install/bnd.junit.jar
+	cp biz.aQute.launcher/generated/biz.aQute.launcher.jar install/bnd.launcher.jar
+	cp biz.aQute.junit/generated/biz.aQute.junit.jar install/bnd.junit.jar
 	mh_installpoms -p$(PACKAGE) -e$(VERSION)
-	mh_installjar -p$(PACKAGE) -e$(VERSION) -l debian/pom.xml install/bndlib.jar
-	jh_installlibs -p$(PACKAGE) install/bnd.jar
-	jh_installlibs -p$(PACKAGE) install/bnd.annotation.jar
+	mh_installjar -p$(PACKAGE) -e$(VERSION) -l debian/pom-bndlib.xml --usj-name=bndlib         biz.aQute.bndlib/generated/biz.aQute.bndlib.jar
+	mh_installjar -p$(PACKAGE) -e$(VERSION) -l debian/pom-bnd.xml --usj-name=bnd            biz.aQute.bnd/generated/biz.aQute.bnd.jar
+	mh_installjar -p$(PACKAGE) -e$(VERSION) -l debian/pom-annotation.xml --usj-name=bnd.annotation biz.aQute.bnd/generated/biz.aQute.bnd.annotation.jar
 	jh_installlibs -p$(PACKAGE) install/bnd.launcher.jar
 	jh_installlibs -p$(PACKAGE) install/bnd.junit.jar
 	dh_install -p$(PACKAGE) debian/bnd.sh /usr/bin/
 	mv $(DEB_DESTDIR)/usr/bin/bnd.sh $(DEB_DESTDIR)/usr/bin/bnd
 
 clean::
+	-rm -f debian/stamp-bootstrap
+	-rm -rf biz.aQute.repository
+	-rm -rf biz.aQute.resolve
+	-rm -rf biz.aQute.bndlib/bin
+	-rm -rf biz.aQute.bndlib/generated
+	-rm -rf biz.aQute.junit/generated
+	-rm -rf biz.aQute.launcher/bin
+	-rm -rf biz.aQute.launcher/generated
+	-find . -type l -name '*.jar' -delete
+	-find . -type f \( -name '*.jar' -o -name '*.class' -o -name 'packageinfo' \) -delete
 	jh_clean
 	mh_clean
 	-rm -rf install/
 	-rm -f debian/bnd.1
+	-rm -Rf bootstrap
 
 get-orig-source:
 	debian/orig-tar.sh "" $(VERSION)
 
 get-orig-pom:
-	wget --user-agent="" -O debian/pom.xml $(MAVEN_REPO)/$(MAVEN_VERSION)/bndlib-$(MAVEN_VERSION).pom 
+	wget --user-agent="" -O debian/pom-bnd.xml $(MAVEN_REPO)/bnd/bnd/$(MAVEN_VERSION)/bnd-$(MAVEN_VERSION).pom
+	wget --user-agent="" -O debian/pom-bndlib.xml $(MAVEN_REPO)/bnd/bndlib/$(MAVEN_VERSION)/bndlib-$(MAVEN_VERSION).pom
+	wget --user-agent="" -O debian/pom-annotation.xml $(MAVEN_REPO)/bnd/annotation/$(MAVEN_VERSION)/annotation-$(MAVEN_VERSION).pom
 
 .PHONY: bootstrap clean-bootstrap
