## bnd 2.4.1

=== debian/changelog ===
bnd (2.4.1-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Force openjdk-8
  * Revert switch from groovy2 to groovy

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jul 2016 19:28:34 +0200

bnd (2.4.1-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure caused by the swicth from groovy2 to groovy
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL
  * Reproducibility improvements:
    - The value of the ${tstamp} and ${now} macros is now derived
      from SOURCE_DATE_EPOCH
    - Use SOURCE_DATE_EPOCH for the Bnd-LastModified field
    - Use SOURCE_DATE_EPOCH as the modification time of the entries
      in the jar files created by bnd

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 May 2016 18:34:32 +0200

bnd (2.4.1-3) unstable; urgency=medium

  * Team upload.
  * Enabled the Java 8 compatibility patch
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 01:33:26 +0100

bnd (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Removed the recursion in macro warnings causing out of memory errors.
    (Closes: #809602)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 02 Jan 2016 12:12:44 +0100

bnd (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Build with Gradle instead of Ant
    - Refreshed debian/copyright
    - Require Java 6 or higher
    - Build the Gradle plugin during the bootstrap phase
    - Require libosgi-compendium-java >= 5.0.0-3 for the new OSGi types
    - Updated the linked jars and the ignored modules in debian/rules
    - Backported a fix to build with Gradle >= 2.3

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Dec 2015 11:01:39 +0100

bnd (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven poms
    - Added the missing resources to the bootstrap jar
    - Updated the linked jars in debian/rules
  * Restored the Java 8 compatibility patch
  * Use XZ compression for the upstream tarball
  * Build with the DH sequencer instead of CDBS

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Dec 2015 11:55:37 +0100
