=== debian/control ===
--- 
+++ 
@@ -9,34 +9,31 @@
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant,
- ant-contrib,
- ant-optional,
- cdbs,
  debhelper (>= 9),
- default-jdk,
+ openjdk-8-jdk,
  eclipse-jdt,
  eclipse-rcp,
  findbugs,
+ gradle-debian-helper,
  javahelper,
  junit,
  junit4,
  libbindex-java (>= 2.2+svn101),
- libosgi-compendium-java (>= 5.0.0),
+ libosgi-compendium-java (>= 5.0.0-3~),
  libosgi-core-java (>= 6.0.0),
  libswt-gtk-3-java,
- maven-ant-helper,
  maven-repo-helper
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/bnd.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/bnd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/bnd.git
 Homepage: http://www.aQute.biz/Bnd
 
 Package: bnd
 Architecture: all
 Depends:
- default-jre-headless | java5-runtime-headless,
+ default-jre-headless | java6-runtime-headless,
  java-wrappers,
- libosgi-compendium-java (>= 5.0.0),
+ libosgi-compendium-java (>= 5.0.0-3~),
  libosgi-core-java (>= 6.0.0),
  ${misc:Depends}
 Recommends:
