=== debian/watch ===
version=3
https://github.com/bndtools/bnd/releases .*/([\d\.]+)(?:.REL)?.tar.gz debian debian/orig-tar.sh
