## bnd 3.5.0

=== debian/changelog ===
bnd (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches:
    * disable-jpm-plugin.patch
    * gradle-compatibility.patch
    * no_ee_minimum.patch
    * no-ee.j2se.patch
    * no-osgi.r5.patch
    * remove-recursion-in-macro-warning.patch
  * New patches:
    * build-scripts.patch: Make the Build Scripts Buildable
    * ant-compatibility: Fix Ant compatibility
  * Use simpler "get-orig-source" approach
  * Update Standards-Version to 4.1.3
  * Remove Damien Raude-Morvan from Uploaders (Closes: 889406)
  * Add myself to Uploaders
  * Update to debhelper compat level 11
  * Modify (Build-)Depends:
    * Switch to default-jdk-headless
    * Switch from junit to junit4
    * Restrict libosgi-compendium-java to >= 6
    * Restrict gradle-debian-helper to >= 1.6~
    + libfelix-framework-java
    + libfelix-gogo-runtime-java
    + libfelix-resolver-java
    + libosgi-annotation-java
    + libslf4j-java
    + libxz-java
    + libyaml-snake-java
  * Install generated POMs instead of downloading them from internet
  * Rename JARs in "/usr/share/java" to comply with the policies
  * Re-enable parallel build
  * Build & install more artifacts:
    * bnd-libg
    * bnd-junit
    * bnd-launcher
    * bnd-remote-agent
    * bnd-remote-api
    * bnd-remote-gc
    * bnd-remote-launcher
    * bnd-remote-main
    * bnd-repository
    * bnd-resolve
    * bnd-tester
    * bnd-repoindex-api
    * bnd-repoindex-lib

 -- Kai-Chung Yan (殷啟聰) <seamlikok@gmail.com>  Fri, 16 Mar 2018 00:50:18 +0800

bnd (2.4.1-7) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Remove eclipse-jdt and eclipse-rcp from Build-Depends and do not suggest
    them anymore.
  * Remove obsolete Eclipse plugin symlinks and don't create eclipse-jdt
    directories.
  * Use https for Format field.
  * Update Homepage URL. (Closes: #845168)
  * Do not mention the Eclipse plugin in the package description anymore.
  * Build with --no-parallel option to avoid a race condition.

 -- Markus Koschany <apo@debian.org>  Thu, 02 Nov 2017 13:18:39 +0100

bnd (2.4.1-6) unstable; urgency=medium

  * Team upload
  * New transition_Gradle_3.1.patch
  * d/control:
    * Build-Depends on default-jdk-headless | default-jdk
    * Build-Depends on libfindbugs-ant-java instead of findbugs

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 14 Nov 2016 17:49:12 +0800

bnd (2.4.1-5) unstable; urgency=medium

  * Team upload.
  * Removed the build dependency on libswt-gtk-3-java
  * Reproducibility improvements:
    - Sort the package lists generated by bnd (as in the Export-Package field)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 30 Aug 2016 15:38:17 +0200
