=== debian/control ===
Source: bnd
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Ludovic Claude <ludovic.claude@laposte.net>,
 Jakub Adam <jakub.adam@ktknet.cz>,
 Emmanuel Bourg <ebourg@apache.org>,
 Kai-Chung Yan (殷啟聰) <seamlikok@gmail.com>
Build-Depends:
 ant,
 debhelper (>= 11),
 default-jdk-headless | default-jdk,
 libfindbugs-ant-java,
 gradle-debian-helper (>= 1.6~),
 javahelper,
 junit4,
 libbindex-java (>= 2.2+svn101),
 libfelix-framework-java,
 libfelix-gogo-runtime-java,
 libfelix-resolver-java,
 libosgi-annotation-java,
 libosgi-compendium-java (>= 6),
 libosgi-core-java (>= 6.0.0),
 libslf4j-java,
 libxz-java,
 libyaml-snake-java,
 maven-repo-helper
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/bnd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/bnd.git
Homepage: http://bnd.bndtools.org/

Package: bnd
Architecture: all
Depends:
 default-jre-headless | java8-runtime-headless,
 java-wrappers,
 junit4,
 libfelix-framework-java,
 libfelix-gogo-runtime-java,
 libfelix-resolver-java,
 libosgi-annotation-java,
 libosgi-compendium-java (>= 6),
 libosgi-core-java (>= 6.0.0),
 libslf4j-java,
 libxz-java,
 libyaml-snake-java,
 ${misc:Depends}
Recommends:
 libbindex-java (>= 2.2+svn101)
Description: tool to create and diagnose OSGi bundles
 The bnd tool helps you create and diagnose OSGi bundles.
 The key functions are:
 .
   * Show the manifest and JAR contents of a bundle
   * Wrap a JAR so that it becomes a bundle
   * Create a Bundle from a specification and a class path
   * Verify the validity of the manifest entries
 .
 The tool is capable of acting as:
 .
   * Command line tool
   * Maven Plugin
   * Ant Plugin
