=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
PACKAGE              := bnd
export JAVA_HOME = /usr/lib/jvm/default-java
export HOME = debian

%:
	dh $@ --buildsystem=gradle --with maven-repo-helper

override_dh_auto_build:
	$(RM) cnf/ext/central.mvn # It forces Gradle to fetch artifacts from remote.
	ant -f debian/bootstrap.xml
	mkdir -p \
		cnf/repo/biz.aQute.bnd/ \
		cnf/repo/ant \
		cnf/repo/org.apache.felix.framework \
		cnf/repo/org.apache.felix.gogo.runtime \
		cnf/repo/org.apache.felix.resolver \
		cnf/repo/org.apache.servicemix.bundles.junit \
		cnf/repo/org.osgi.impl.bundle.bindex \
		cnf/repo/org.osgi.util.function \
		cnf/repo/org.osgi.util.promise \
		cnf/repo/org.tukaani.xz \
		cnf/repo/org.yaml.snakeyaml \
		cnf/repo/osgi.annotation \
		cnf/repo/osgi.cmpn \
		cnf/repo/osgi.core \
		cnf/repo/slf4j.api \
		cnf/repo/slf4j.simple \
		cnf/cache \
		cnf/gradle/dependencies \
		cnf/plugins/biz.aQute.bnd
	ln -s -r bootstrap/bnd.jar cnf/cache/biz.aQute.bnd.gradle.jar
	ln -s -r bootstrap/bnd.jar cnf/gradle/dependencies/biz.aQute.repository.jar
	ln -s -r bootstrap/bnd.jar cnf/plugins/biz.aQute.repository.jar
	ln -s /usr/share/java/ant.jar cnf/repo/ant/ant-latest.jar
	ln -s /usr/share/java/bindex.jar cnf/repo/org.osgi.impl.bundle.bindex/org.osgi.impl.bundle.bindex-latest.jar
	ln -s /usr/share/java/junit4.jar cnf/repo/org.apache.servicemix.bundles.junit/org.apache.servicemix.bundles.junit-latest.jar
	ln -s /usr/share/java/org.apache.felix.framework.jar cnf/repo/org.apache.felix.framework/org.apache.felix.framework-latest.jar
	ln -s /usr/share/java/org.apache.felix.gogo.runtime.jar cnf/repo/org.apache.felix.gogo.runtime/org.apache.felix.gogo.runtime-latest.jar
	ln -s /usr/share/java/felix-resolver.jar cnf/repo/org.apache.felix.resolver/org.apache.felix.resolver-latest.jar
	ln -s /usr/share/java/osgi.annotation.jar cnf/repo/osgi.annotation/osgi.annotation-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar cnf/repo/org.osgi.util.function/org.osgi.util.function-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar cnf/repo/org.osgi.util.promise/org.osgi.util.promise-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar cnf/repo/osgi.cmpn/osgi.cmpn-latest.jar
	ln -s /usr/share/java/osgi.core.jar cnf/repo/osgi.core/osgi.core-latest.jar
	ln -s /usr/share/java/slf4j-api.jar cnf/repo/slf4j.api/slf4j.api-latest.jar
	ln -s /usr/share/java/slf4j-simple.jar cnf/repo/slf4j.simple/slf4j.simple-latest.jar
	ln -s /usr/share/java/snakeyaml.jar cnf/repo/org.yaml.snakeyaml/org.yaml.snakeyaml-latest.jar
	ln -s /usr/share/java/xz.jar cnf/repo/org.tukaani.xz/org.tukaani.xz-latest.jar
	$(RM) -r biz.aQute.repository/src/aQute/bnd/jpm # This package depends on non-free code
	dh_auto_build -- :biz.aQute.bnd:assemble \
	                 :biz.aQute.launcher:assemble \
	                 :biz.aQute.junit:assemble \
	                 :org.osgi.impl.bundle.repoindex.lib:assemble \
	                 :biz.aQute.bnd.gradle:assemble \
	                 -x :demo:compileJava -x :demo:jar -x :cnf:jar

	pod2man -c 'BND for Debian GNU/Linux' \
	  -r $(PACKAGE)-$(DEB_VERSION_UPSTREAM) \
	  debian/bnd.pod > debian/bnd.1

override_dh_auto_install:
	dh_auto_install
	dh_install -p$(PACKAGE) debian/bnd.sh /usr/bin/
	mv debian/$(PACKAGE)/usr/bin/bnd.sh debian/$(PACKAGE)/usr/bin/bnd

override_dh_auto_clean:
	dh_auto_clean
	-find . -type l -name '*.jar' -delete

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz
