=== debian/watch ===
version=4
https://github.com/bndtools/bnd/tags /bndtools/bnd/archive/@ANY_VERSION@.REL@ARCHIVE_EXT@
